You are here

Phoenix Contact Automation Worx Software Suite (ICSA-20-191-01)

Phoenix Contact Automation Worx Software Suite (ICSA-20-191-01)

Created: Thursday, July 9, 2020 - 13:26
Categories:
Cyber Security

CISA has published an advisory on stack-based buffer overflow and out-of-bounds read vulnerabilities in Phoenix Contact Automation Worx Software Suite. PC Worx version 1.87 and prior and PC Worx Express version 1.87 and prior are affected. Successful exploitation could allow an attacker to execute arbitrary code under the privileges of the application. Phoenix Contact recommends a series of steps to mitigate the vulnerabilities. CISA also recommends a series of measures to mitigate the vulnerabilities. Access the advisory at CISA.